Subject: Doubts about static routes in RFC 8022

From: Alexander Vainshtein <[email-masked]>
Date: Tue, 2 Apr 2019 12:56:30 +0000

Acee, Ladislav and all,
I have serious doubts regarding the data model for static routes in RFC 8022.

As I see it, the data model defined in this document does not support multiple routes with common destination, different next hops and different route preferences.

This is because only route destination is considered as the key in the RIB in Appendix A of RFC 8022., while route preference is a per-route read-only leaf in the data model.

In particular (and this was my original problem) , it is possible to configure a static route with multiple next hops (using the next-hop-list construct) using the data model defined in RFC 8022, but all the next hops in this construct would have the same preference. AFAIK, many (if not all) deployed implementations support ability to configure static routes with the same destination, different next hops and different preferences, so that one of these next hops would act as a protection of the other.

For the reference, this problem does not exist in the standard MIB for the RIB (RFC 4292), because it includes both the route destination and its next hop in the list  of indices in the corresponding MIB.

What, if anything, did I miss?

Regards, and lots of thanks in advance,
Sasha

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]

___________________________________________________________________________

This e-mail message is intended for the recipient only and contains information which is 
CONFIDENTIAL and which may be proprietary to ECI Telecom. If you have received this 
transmission in error, please inform us by e-mail, phone or fax, and then delete the original 
and all copies thereof.
___________________________________________________________________________